package com.kingdee.eas.custom.integration.feishu;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class FeishuApprovalsCollection extends AbstractObjectCollection 
{
    public FeishuApprovalsCollection()
    {
        super(FeishuApprovalsInfo.class);
    }
    public boolean add(FeishuApprovalsInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(FeishuApprovalsCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(FeishuApprovalsInfo item)
    {
        return removeObject(item);
    }
    public FeishuApprovalsInfo get(int index)
    {
        return(FeishuApprovalsInfo)getObject(index);
    }
    public FeishuApprovalsInfo get(Object key)
    {
        return(FeishuApprovalsInfo)getObject(key);
    }
    public void set(int index, FeishuApprovalsInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(FeishuApprovalsInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(FeishuApprovalsInfo item)
    {
        return super.indexOf(item);
    }
}